## openjdk-8 8u102-b14.1

=== debian/changelog ===
openjdk-8 (8u102-b14.1-2) unstable; urgency=medium

  * Fix build failure with GCC 6. Closes: #811694.
  * Fix JamVM, lacking JVM_GetResourceLookupCacheURLs (Xerxes Rånby).
    Closes: #826206.
  * Explicitly build using GCC 6.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Aug 2016 10:12:09 +0200

openjdk-8 (8u102-b14.1-1) unstable; urgency=medium

  * Use the 8u101 tarballs instead of the 8u102 tarballs (inventing a fake
    version number).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Aug 2016 16:31:18 +0200

openjdk-8 (8u102-b14-2) unstable; urgency=medium

  * Update AArch64 and KFreeBSD patches.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Jul 2016 13:00:12 +0200

openjdk-8 (8u102-b14-1) unstable; urgency=medium

  * Update to 8u101-b14, including security fixes:
  * IIOP Input Stream Hooking. CVE-2016-3458:
    defaultReadObject is not forbidden in readObject in subclasses of
    InputStreamHook which provides leverage to deserialize malicious objects
    if a reference to the input stream can be obtained separately.
  * Complete name checking. S8148872, CVE-2016-3500:
    In some cases raw names in XML data are not checked for length limits
    allowing for DoS attacks.
  * Better delineation of XML processing. S8149962, CVE-2016-3508:
    Denial of service measures do not take newline characters into account.
    This can be used to conduct attacks like the billion laughs DoS.
  * Coded byte streams. S8152479, CVE-2016-3550:
    A fuzzed class file triggers an integer overflow in array access.
  * Clean up lookup visibility. S8154475, CVE-2016-3587:
    A fast path change allowed access to MH.invokeBasic via the public lookup
    object. MH.iB does not do full type checking which can be used to create
    type confusion.
  * Bolster bytecode verification. S8155981, CVE-2016-3606:
    The bytecode verifier checks that any classes' <init> method calls
    super.<init> before returning. There is a way to bypass this requirement
    which allows creating subclasses of classes that are not intended to be
    extended.
  * Persistent Parameter Processing. S8155985, CVE-2016-3598:
    TOCTOU issue with types List passed into dropArguments() which can be used
    to cause type confusion.
  * Additional method handle validation. S8158571, CVE-2016-3610:
    MHs.filterReturnValue does not check the filter parameter list size.
    The single expected parameter is put in the last parameter position for
    the filter MH allowing for type confusion.
  * Enforce GCM limits. S8146514:
    In GCM the counter should not be allowed to wrap (per the spec), since that
    plus exposing the encrypted data could lead to leaking information.
  * Construction of static protection domains. S8147771:
    SubjectDomainCombiner does not honor the staticPermission field and will
    create ProtectionDomains that vary with the system policy which may allow
    unexpected permission sets.
  * Share Class Data. S8150752:
    Additional verification of AppCDS archives is required to prevent an
    attacker from creating a type confusion situation.
  * Enforce update ordering. S8149070:
    If the GCM methods update() and updateAAD() are used out of order, the
    security of the system can be weakened and an exception should be thrown
    to warn the developer.
  * Constrain AppCDS behavior. S8153312:
    AppCDS does not create classloader constraints upon reloading classes
    which could allow class spoofing under some circumstances.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jun 2016 14:49:34 +0200

openjdk-8 (8u91-b14-0ubuntu4) xenial; urgency=medium

  * Update to 8u91-b14.
    - Addresses CVE-2016-0686 (S8129952), CVE-2016-0687 (S8132051),
      CVE-2016-3427 (S8144430), CVE-2016-0695 (S8138593),
      CVE-2016-3425 (S8143167), CVE-2016-3426 (S8143945).
  * Backport parts of 8132051 and 6926048 to fix the zero builds.
  * Add a versioned break to the oracle-java8-installer package.  The
    package inflates the priority of the java alternatives again.  See
    https://lists.ubuntu.com/archives/ubuntu-devel/2016-April/039324.html.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Apr 2016 16:25:37 +0200
