=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 9), quilt, m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
-  autoconf (>= 2.69), automake, autotools-dev, ant, ant-optional,  libtool,
+  autoconf (>= 2.69), automake, autotools-dev, ant, ant-optional, 
   g++-6,
   openjdk-8-jdk | openjdk-7-jdk,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev,
@@ -46,7 +46,7 @@
   ${mountpoint:Depends},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dlopenhl:Recommends}, ${jamvm:Recommends}
-Suggests: ${cacao:Recommends}, ${jamvm:Suggests},
+Suggests: ${jamvm:Suggests},
   libnss-mdns,
   fonts-dejavu-extra,
   fonts-ipafont-gothic, fonts-ipafont-mincho, ttf-wqy-microhei | ttf-wqy-zenhei, fonts-indic,
@@ -54,7 +54,8 @@
   java5-runtime-headless, java6-runtime-headless,
   java7-runtime-headless, java8-runtime-headless,
   ${defaultvm:Provides}, ${jvm:Provides}
-Breaks: oracle-java8-installer (<< 8u77+8u77arm-1)
+Breaks: oracle-java8-installer (<< 8u77+8u77arm-1),
+  ca-certificates-java (<< 20160321~)
 Description: OpenJDK Java runtime, using ${vm:Name} (headless)
  Minimal Java runtime - needed for executing non GUI Java programs,
  using ${vm:Name}.
@@ -166,21 +167,8 @@
  The packages are built using the IcedTea build support and patches
  from the IcedTea project.
 
-Package: openjdk-8-jre-jamvm
-Architecture: amd64 armel armhf i386 powerpc kfreebsd-i386 kfreebsd-amd64 mips mipsel
-Multi-Arch: same
-Priority: extra
-Pre-Depends: ${dpkg:Depends}
-Depends: openjdk-8-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Alternative JVM for OpenJDK, using JamVM
- The package provides an alternative runtime using the JamVM.  This is a
- somewhat faster alternative than the Zero port on architectures like armel,
- mips, mipsel, powerpc.
- .
- The VM is started with the option `-jamvm'. See the README.Debian for details.
-
 Package: openjdk-8-jre-zero
-Architecture: amd64 i386 arm64 ppc64 ppc64el kfreebsd-amd64 kfreebsd-i386 
+Architecture: amd64 i386 arm64 ppc64 ppc64el sparc64 kfreebsd-amd64 kfreebsd-i386 
 Multi-Arch: same
 Priority: extra
 Pre-Depends: ${dpkg:Depends}
