=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
 
-hotspot_archs	= amd64 i386 arm64 ppc64 ppc64el kfreebsd-amd64 kfreebsd-i386
+hotspot_archs	= amd64 i386 arm64 ppc64 ppc64el sparc64 kfreebsd-amd64 kfreebsd-i386
 # FIXME: use bootcycle builds for zero archs?
 bootcycle_build  = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
 ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
@@ -119,8 +119,8 @@
 endif
 
 with_docs = $(if $(findstring nodocs, $(DEB_BUILD_OPTIONS)),,yes)
-ifneq (,$(findstring cacao shark, $(PKGSOURCE)))
-  with_docs = disabled for cacao and shark
+ifneq (,$(findstring shark, $(PKGSOURCE)))
+  with_docs = disabled for shark
 endif
 
 with_wgy_zenhai = $(if $(filter $(distrel),lenny),,yes)
@@ -149,28 +149,22 @@
 
 any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
 
-cacao_archs = alpha amd64 armel armhf i386 powerpc powerpcspe m68k mips mipsel
-# TODO kfreebsd porting for cacao vm
-cacao_archs =
-
-ifeq (,$(filter $(distrel),squeeze lucid))
+ifeq (,$(filter $(distrel),squeeze lucid sid stretch))
   jamvm_archs = amd64 armel armhf i386 powerpc kfreebsd-i386 kfreebsd-amd64 mips mipsel
 endif
 ifeq (,$(filter $(distrel),wheezy squeeze lucid))
   jamvm_defaults =
 endif
+
+# disabled, hotspot updates tend to break it too often ...
+jamvm_archs =
 
 altshark_archs = powerpc ppc64 ppc64el
 # Shark build but just crash
 altshark_archs =
 
-altzero_archs = $(filter-out sparc sparc64, $(hotspot_archs)) $(altshark_archs)
-
-ifeq (,$(filter noaltcacao, $(DEB_BUILD_OPTIONS)))
-  ifneq (,$(filter $(DEB_HOST_ARCH), $(cacao_archs)))
-    alternate_vms += cacao
-  endif
-endif
+altzero_archs = $(filter-out sparc, $(hotspot_archs)) $(altshark_archs)
+
 ifeq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS))$(filter noaltshark, $(DEB_BUILD_OPTIONS)))
   ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
     ifneq (,$(filter $(DEB_HOST_ARCH), $(shark_archs) $(altshark_archs)))
@@ -208,11 +202,13 @@
 
 # FIXME: ftbfs with -Werror=format-security
 dpkg_buildflags_hs = \
-	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
-	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security"
+	DEB_CFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security" \
+	DEB_CXXFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security"
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
 	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
 	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
 dpkg_buildflags_hs += dpkg-buildflags
 export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
+export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS) $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
+export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS)
